Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.rn.baselegaldata.v1
Class AddressCbssWithStatusAndSourceType

    java.lang.Object
      be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAddressCbssType
          be.fgov.ehealth.rn.baselegaldata.v1.AddressCbssWithStatusAndSourceType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2025-03-20T10:27:40+01:00",
               comments="JAXB RI v2.3.6")
    public class AddressCbssWithStatusAndSourceType

extends AbstractOptionalAddressCbssType
implements Serializable

Java class for AddressCbssWithStatusAndSourceType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AddressCbssWithStatusAndSourceType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:rn:baselegaldata:v1}AbstractOptionalAddressCbssType">
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}DatagroupStatusType" />
           <attribute name="Source" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}SourceType" />
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AddressCbssWithStatusAndSourceType()`

Method Summary
`String` | `getSource()` Gets the value of the source property.
`String` | `getStatus()` Gets the value of the status property.
`void` | `setSource(String value)` Sets the value of the source property.
`void` | `setStatus(String value)` Sets the value of the status property.

Methods inherited from class be.fgov.ehealth.rn.baselegaldata.v1.AbstractOptionalAddressCbssType
`getResidentialAddress, setResidentialAddress`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCbssWithStatusAndSourceType

    public AddressCbssWithStatusAndSourceType()

Method Detail

### getStatus

    public String getStatus()

  Gets the value of the status property.

  Returns:
    possible object is `String`

### setStatus

    public void setStatus(String value)

  Sets the value of the status property.

  Parameters:
    `value` - allowed object is `String`

### getSource

    public String getSource()

  Gets the value of the source property.

  Returns:
    possible object is `String`

### setSource

    public void setSource(String value)

  Sets the value of the source property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PHYSIOTHERAPIST 3.28.5 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.